com.trendmicro.ds.integrity.rest.object

## Class ListEventsResponse

- java.lang.Object
- - com.trendmicro.ds.integrity.rest.object.ListEventsResponse

-     public class ListEventsResponse
      extends java.lang.Object

  Response object for the ListEvents API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListEventsResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Event>` | `getEvents()` Get the list of events.
    `java.lang.Long` | `getLastEventID()` Get the last event ID.
    `boolean` | `getMoreEvents()` Get the indicator that there are more events available.
    `void` | `setEvents(java.util.List<Event> events)` Set the list of events.
    `void` | `setLastEventID(java.lang.Long lastEventID)` Set the last event ID.
    `void` | `setMoreEvents(boolean moreEvents)` Set the indicator that there are more events available.
    `ListEventsResponse` | `withEvents(java.util.List<Event> events)` Set the list of events.
    `ListEventsResponse` | `withLastEventID(java.lang.Long lastEventID)` Set the last event ID.
    `ListEventsResponse` | `withMoreEvents(boolean moreEvents)` Set the indicator that there are more events available.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListEventsResponse

          public ListEventsResponse()

  - ### Method Detail

    - #### getLastEventID

          public java.lang.Long getLastEventID()

      Get the last event ID.

      This will be `0` if no events are retrieved.

      Returns:
        the last event ID.

    - #### setLastEventID

          public void setLastEventID(java.lang.Long lastEventID)

      Set the last event ID.
      Parameters:
        `lastEventId` - the last event ID.

    - #### withLastEventID

          public ListEventsResponse withLastEventID(java.lang.Long lastEventID)

      Set the last event ID.
      Parameters:
        `lastEventId` - the last event ID.
      Returns:
        the updated ListEventsResponse object.

    - #### getEvents

          public java.util.List<Event> getEvents()

      Get the list of events.
      Returns:
        the list of events.

    - #### setEvents

          public void setEvents(java.util.List<Event> events)

      Set the list of events.
      Parameters:
        `events` - the list of events.

    - #### withEvents

          public ListEventsResponse withEvents(java.util.List<Event> events)

      Set the list of events.
      Parameters:
        `events` - the list of events.
      Returns:
        the updated ListEventsResponse object.

    - #### getMoreEvents

          public boolean getMoreEvents()

      Get the indicator that there are more events available.
      Returns:
        the indicator that there are more events available.

    - #### setMoreEvents

          public void setMoreEvents(boolean moreEvents)

      Set the indicator that there are more events available.
      Parameters:
        `moreEvents` - the indicator that there are more events available.

    - #### withMoreEvents

          public ListEventsResponse withMoreEvents(boolean moreEvents)

      Set the indicator that there are more events available.
      Parameters:
        `moreEvents` - the indicator that there are more events available.
      Returns:
        the updated ListEventsResponse object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.